<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>


  <xsl:template match="PACKINGLIST/PACKINGLIST_ITEM/GrossWeightQuantity">
    <GrossWeightQuantity>
      <xsl:value-of select="format-number(sum(//PACKINGLISTGOODS_ITEM/GrossWeightQuantity), '#########.000')"/>
    </GrossWeightQuantity>
  </xsl:template>

  <xsl:template match="PACKINGLIST/PACKINGLIST_ITEM/NetWeightQuantity">
    <NetWeightQuantity>
      <xsl:value-of select="format-number(sum(//PACKINGLISTGOODS_ITEM/NetWeightQuantity), '#########.000')"/>
    </NetWeightQuantity>
  </xsl:template>

</xsl:stylesheet>
